Package org.apache.sysds.runtime.controlprogram.federated

# Class FederatedReadCache.ReadCacheEntry

java.lang.Object
org.apache.sysds.runtime.controlprogram.federated.FederatedReadCache.ReadCacheEntry

Enclosing class:
  FederatedReadCache

public static class FederatedReadCache.ReadCacheEntry extends Object
Class representing an entry of the federated read cache.

## Constructor Summary

Constructors
Constructor
Description
`ReadCacheEntry()`

## Method Summary

Modifier and Type
Method
Description
`CacheableData<?>`
`get()`
`void`
`setInvalid()`
`void`
`setValue(CacheableData<?> val)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReadCacheEntry

public ReadCacheEntry()

## Method Details

### get

public CacheableData<?> get()

### setValue

public void setValue(CacheableData<?> val)

### setInvalid

public void setInvalid()